Mailinglist Archive: opensuse-buildservice (77 mails)

< Previous Next >
Re: [opensuse-buildservice] unresolvable files with bionic
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Thu, 04 Apr 2019 12:02:40 +0200
  • Message-id: <7742438.aZUWaCVyzc@linux-ywca>
On Mittwoch, 3. April 2019, 23:03:02 CEST Renato _ wrote:
Hi,

Using my own OBS v2.6. Since that I ported Ubuntu bionic to our own OBS, I
get this kind of issue when I try to build several packages with still same
unresolvable files.

OBS v2.6 does not support the compression format of newer debian packages.
There are always possible hacks to workaround that, but you should really
update instead....

- home:samy/xUbuntu_18.04_201812
scanning repo home:samy/xUbuntu_18.04_201812...
expanding dependencies
sorting 7 packages
- NIC__pkg_network-10.2 (dsc)
unresolvable:

nothing provides debhelper >= 8.0.0,
nothing provides dh-python,
nothing provides debianutils >= 1.8 needed by autoconf,
nothing provides perl >> 5.005 needed by autoconf,
nothing provides automake, nothing provides binutils,
nothing provides libc6 >= 2.14 needed by bzip2,
nothing provides gcc, nothing provides gettext,
nothing provides libc6,
nothing provides file needed by libtool,
nothing provides cpp needed by libtool,
nothing provides autotools-dev needed by libtool,
nothing provides libc6-dev | libc-dev needed by libtool,
nothing provides gcc | c-compiler needed by libtool,
nothing provides libncurses5, nothing provides perl,
nothing provides libc6 >= 2.14 needed by zlib1g,
nothing provides dpkg,
nothing provides make needed by build-essential,
nothing provides libc6-dev | libc-dev needed by build-essential,
nothing provides gcc >= 4:7.2 needed by build-essential,
nothing provides g++ >= 4:7.2 needed by build-essential,
nothing provides dpkg-dev >= 1.17.11 needed by build-essential,
nothing provides libc6 >= 2.17 needed by m4,
nothing provides libsigsegv2 >= 2.9 needed by m4,
nothing provides libc6 >= 2.4 needed by libbz2-1.0

I have several OS like Ubuntu 14,16 CentOS , no one failed except the Bionic
one.

However, files exist !
# find /srv/obs/build/Ubuntu\:18.04_201812/standard/x86_64/ -name
"debhelper*"
/srv/obs/build/Ubuntu:18.04_201812/standard/x86_64/:full/debhelper_11.1.6ub
untu2_all.deb

# find /srv/obs/build/Ubuntu\:18.04_201812/standard/x86_64/ -name
"dh-python*"
/srv/obs/build/Ubuntu:18.04_201812/standard/x86_64/:full/dh-python_3.201803
25ubuntu2_all.deb

my question: Do these dependencies tell you anything?

Thanks in advance for any pointers/suggestions,


--

Adrian Schroeter
SUSE Linux Products GmbH, Maxfeldstr. 5, 90409 Nuernberg, Germany
email: adrian@xxxxxxx




--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
References